Natal chart
curl --request POST \
--url https://api.astrom8.com/v1/natal-chart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"birth_datetime": "2023-11-07T05:31:56Z",
"latitude": 0,
"longitude": 0,
"house_system": "P",
"interpret": false,
"language": "en",
"brand_name": "<string>"
}
'import requests
url = "https://api.astrom8.com/v1/natal-chart"
payload = {
"birth_datetime": "2023-11-07T05:31:56Z",
"latitude": 0,
"longitude": 0,
"house_system": "P",
"interpret": False,
"language": "en",
"brand_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
birth_datetime: '2023-11-07T05:31:56Z',
latitude: 0,
longitude: 0,
house_system: 'P',
interpret: false,
language: 'en',
brand_name: '<string>'
})
};
fetch('https://api.astrom8.com/v1/natal-chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "payment_required",
"message": "Insufficient credits for this request",
"code": "402",
"request_id": "01HQXYZ..."
}Western
Natal chart
POST
/
v1
/
natal-chart
Natal chart
Authorizations
Use the raw API key as the Bearer token, or send X-API-Key instead.
Body
application/json
Optional white-label AI voice controls for endpoints that generate LLM interpretation text.
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Available options:
P, W, K, E Required string length:
1 - 60Example:
"Moon & Co"
Available options:
professional, casual, mystical, playful, formal Available options:
consumer, employee, manager, customer, community Available options:
default, workplace, financial_wellness, entertainment Response
Chart (+ optional interpretation)
⌘I